/*
 *  Copyright (c) 2007 Jiri Benc <jbenc@upir.cz>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef _CHORDLIB_H
#define _CHORDLIB_H

#define BAR_RANGE	5
#define LAST_BAR	13

#define	STRINGS_CNT	4

extern char **chordnames;
extern char **chordsuff;

int get_chordnames_cnt(void);
int get_chordsuff_cnt(void);

enum chord_lang {
	LANG_EN,
	LANG_CZ,

	__LANG_LAST
};
#define LANG_CNT __LANG_LAST

extern char *(langnames[]);

void set_chord_lang(int lang);
void set_tuning(signed char tuning[]);

void generate_chords(int name, int suff);
int get_chords_cnt(void);
unsigned get_chord(int idx);
int get_chord_start_bar(int idx);

#define get_pos(chord, i)	(((chord) >> ((i) * 8)) & 0xff)

char *get_tone_name(int string_idx, unsigned chord);

#define BASIC_KEY_CHORDS	6
char *get_basic_key_chord(int key, int idx);
void generate_basic_key_chords(int key, int idx);

#endif
